@import "../../shared/scss/color.scss";

.comment {
  .profile {
    padding: 5px 10px 5px 5px;
    display: flex;
    justify-content: space-between;
    background-color: #f8f8f8;
    .img-box {
      width: 200px;
      display: flex;
      .img {
        width: 40px;
        height: 40px;
        border-radius: 50%;
        img {
          width: 100%;
          height: 100%;
          border-radius: 50%;
        }
      }
      .name {
        padding: 7px 10px 0 0;
        p {
          color: $black-color;
          font-size: 14px;
          font-weight: bold;
        }
      }
    }
    .delete {
      width: 30px;
      padding-top: 5px;
      div {
        padding-top: 7px;
        cursor: pointer;
        text-align: center;
        color: $description-color;
        font-size: 12px;
      }
    }
  }
  .desc {
    padding: 10px;
    p {
      color: $description-color;
      font-size: 12px;
      font-weight: bold;
    }
  }
  .reply-btn {
    padding: 10px;
    color: $description-color;
    font-size: 12px;
    font-weight: bold;
    cursor: pointer;
  }
  .reply-box {
    margin: 20px auto 10px auto;
    width: 100%;
    padding: 0;
    display: none;
    float: left;
    overflow: auto;
    border-bottom: 1px solid #bbbbbb;
    div {
      width: 90%;
      float: left;
      background-color: white;
    }
    .form {
      overflow: auto;
      width: 100%;
      padding: 0 10px 0 0;
      form {
        padding-bottom: 10px;
        width: 100%;
      }
      textarea {
        resize: none;
        padding: 10px 20px 10px 10px;
        width: 100%;
        height: 100px;
        background-color: $background-color;
        border: none;
        outline: none;
        font-size: 14px;
        font-weight: bold;
        color: $black-color;
        line-height: 2;
        transition: 0.3s all ease-in-out;
        &:focus {
          padding: 10px;
        }
      }
      a {
        float: left;
        padding: 7px 18px;
        background-color: rgba(77, 77, 77, 1);
        color: $white;
        letter-spacing: 1.5;
        font-size: 12px;
        font-weight: 600;
        border-radius: 7px;
        cursor: pointer;
        transition: 0.3s all ease-in-out;
        fa-icon {
          padding-right: 4px;
          transition: 0.3s all ease-in-out;
        }
      }
    }
    .r-box {
      padding: 0 0 10px 0;
      width: 100%;
      display: block;
    }
    .reply {
      padding: 10px 0;
      margin-bottom: 10px;
      display: block;
      border-bottom: 1px solid #dddddd;
      width: 100%;
      &:last-child {
        margin-bottom: 0;
        border-bottom: none;
      }
    }
  }
}
